Subject: Re: [bug#37412] [PATCH 1/2] gnu: Add guix-data-service.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 22 Sep 2019 23:04:24 +0200

Hi Chris,

Christopher Baines <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Good morning, Chris!
>>
>> Christopher Baines <[email-masked]> skribis:
>>
>>> * gnu/packages/web.scm (guix-data-service): New variable.
>>
>> Woohoo!  \o/
>>
>>> +      (inputs
>>> +       `(("guile" ,guile-2.2)
>>
>> Guile should be ‘native-inputs’ because we use it for its compiler
>> (which can act as a “cross-compiler” with ‘--target’).
>
> This makes sense, but the scripts will still refer to the guile used to
> build the package, so building for a different architecture won't work
> right? Does the package somehow need to take as input two Guiles, one
> for build time, and one for runtime?

Yes, we probably need to have Guile both as input and native input.
Well don’t lose your hair on it anyway.

>>> +      (native-search-paths
>>> +       ;; guile-git requires this to be set
>>> +       (list (search-path-specification
>>> +              (variable "GIT_SSL_CAINFO")
>>> +              (file-type 'regular)
>>> +              (separator #f)
>>> +              (files '("etc/ssl/certs/ca-certificates.crt")))))
>>
>> It’s a bit of a workaround for
>> <https://issues.guix.gnu.org/issue/22138>, isn’t it?  :-)
>>
>> What about either removing it, or adding an “XXX” to the comment?
>
> I can't quite remember, I think I added that a long while ago when
> trying to get the Guix service working. I'm not sure it's a great
> approach. I'll add XXX to the comment though.

What about removing it altogether and instead setting GIT_SSL_CAINFO in
the service itself?

Thanks,
Ludo’.